/* Cart Popup */

.cart_popup {
  /* box-shadow: 0px 0px 40px rgba(0, 0, 0, 0.61); */
  position: relative;
  z-index: 1;
}

.cart_popup_closer {
  background-image: url("/src/tpl/images/more_close_on.png");
  background-repeat: no-repeat;
  background-size: 100%;
  height: 40px;
  width: 40px;
  position: absolute;
  right: 10px;
  top: 10px;
  cursor: pointer;
  filter: brightness(3434);
}

[theme="light"] .cart_popup_closer {
  filter: brightness(0.5);
}

.cart_popup_container {
  width: 350px;
  background-color: var(--fb-background-color-gray);
  background-repeat: no-repeat;
  background-size: 100%;
  box-shadow: 0px 30px 40px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  padding: 3rem;
  text-align: center;
}
.cart_popup_container .cart_popup_cover{
  max-width: 150px;
  margin:0 auto;
}
.cart_popup_container .cart_popup_cover img{
  aspect-ratio: 150 / 211;
  object-fit: contain;
  width: 150px;
}
.cart_popup_view {
  background-color: rgba(0, 0, 0, 0.26);
  position: fixed;
  left: 0px;
  top: 0px;
  height: 100vh;
  width: 100vw;
  z-index: 1000000;
  display: flex;
  align-items: center;
  justify-content: center;
}

.cart_popup_backclose {
  position: absolute;
  left: 0px;
  top: 0px;
  height: 100%;
  width: 100%;
  background-color: #00000061;
}

.cart_popup_content {
  width: 100%;
  padding-top: 1rem;
  /* color: white; */
  text-align: center;
  margin-bottom: 1rem;
}

.cart_popup_btns {
  width: 100%;
  padding-top: 10px;
  display: flex;
  flex-direction: column;
  gap: 0.7rem;
}

.cart_popup_btns a {
  width: 100%;
  /* margin-bottom: 10px; */
}


/* Avatar */

.cart_popup_avatar {
  display: flex;
  justify-content: center;
}

.cart_popup_avatar img {
  max-width: 150px;
  max-height: 150px;
  border-radius: 8px;
  object-fit: cover;
}


/* White Theme */

.cart_popup_view.white .cart_popup_container {
  background-color: #ffffff;
  box-shadow: 0px 0px 40px rgba(0, 0, 0, 0);
}

.cart_popup_view.white .cart_popup_backclose {
  background-color: #00000029;
}

.cart_popup_view.white .cart_popup_content {
  color: #484848;
}

.cart_popup_view.white .cart_popup_closer {
  filter: brightness(0);
}
